Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model
Class PropertyList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  net.fortuna.ical4j.model.PropertyList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable, Collection, List, RandomAccess

    public class PropertyList

extends ArrayList
implements Serializable

Defines a list of iCalendar properties.

Author:
  Ben Fortuna
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`PropertyList()` Default constructor.
`PropertyList(int initialCapacity)` Creates a new instance with the specified initial capacity.

Method Summary
`boolean` | `add(Object arg0)` Overrides superclass to throw an `IllegalArgumentException` where argument is not a `net.fortuna.ical4j.model.Property`.
`boolean` | `add(Property property)` Add a property to the list.
`PropertyList` | `getProperties(String name)` Returns a list of properties with the specified name.
`Property` | `getProperty(String aName)` Returns the first property of specified name.
`boolean` | `remove(Property property)` Remove a property from the list.
`String` | `toString()`

Methods inherited from class java.util.ArrayList
`add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### PropertyList

    public PropertyList()

  Default constructor.

### PropertyList

    public PropertyList(int initialCapacity)

  Creates a new instance with the specified initial capacity.

  Parameters:
    `initialCapacity` - the initial capacity of the list

Method Detail

### toString

    public final String toString()

  Overrides:
    `toString` in class `AbstractCollection`
  See Also:
    `AbstractCollection.toString()`

### getProperty

    public final Property getProperty(String aName)

  Returns the first property of specified name.

  Parameters:
    `aName` - name of property to return
  Returns:
    a property or null if no matching property found

### getProperties

    public final PropertyList getProperties(String name)

  Returns a list of properties with the specified name.

  Parameters:
    `name` - name of properties to return
  Returns:
    a property list

### add

    public final boolean add(Property property)

  Add a property to the list.

  Parameters:
    `property` - the property to add
  Returns:
    true
  See Also:
    `List.add(java.lang.Object)`

### add

    public final boolean add(Object arg0)

  Overrides superclass to throw an `IllegalArgumentException` where argument is not a `net.fortuna.ical4j.model.Property`.

  Specified by:
    `add` in interface `Collection`
  Specified by:
    `add` in interface `List`
  Overrides:
    `add` in class `ArrayList`
  See Also:
    `java.util.List#add(E)`

### remove

    public final boolean remove(Property property)

  Remove a property from the list.

  Parameters:
    `property` - the property to remove
  Returns:
    true if the list contained the specified property
  See Also:
    `List.remove(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.